Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genins.session
Interface GenInsService

All Known Implementing Classes:
  GenInsServiceImpl

    public interface GenInsService

GenInsService interface. Default impl : `GenInsServiceImpl` Factory : `GenInsSessionServiceFactory`

Method Summary
`GetInsurabilityResponse` | `getInsurability(GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)` Method which call the web service getInsurability
`GetInsurabilityAsFlatResponse` | `getInsurabilityAsFlat(GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)` Method which call the web service getInsurabilityAsFlat

Method Detail

### getInsurability

    GetInsurabilityResponse getInsurability(GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)
                                            throws GenInsBusinessConnectorException,
                                                   TechnicalConnectorException,
                                                   SessionManagementException

  Method which call the web service getInsurability

  Parameters:
    `getInsurabilityAsXmlOrFlatRequestType` -
  Returns:
    GetInsurabilityResponse object
  Throws:
    `GenInsBusinessConnectorException`
    `TechnicalConnectorException` - the malformed url exception
    `SessionManagementException`

### getInsurabilityAsFlat

    GetInsurabilityAsFlatResponse getInsurabilityAsFlat(GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)
                                                        throws GenInsBusinessConnectorException,
                                                               TechnicalConnectorException,
                                                               SessionManagementException

  Method which call the web service getInsurabilityAsFlat

  Parameters:
    `getInsurabilityAsXmlOrFlatRequestType` -
  Returns:
    GetInsurabilityResponse object
  Throws:
    `GenInsBusinessConnectorException`
    `TechnicalConnectorException` - the malformed url exception
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.